Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining
Class InliningWeavingStrategy

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.InliningWeavingStrategy

All Implemented Interfaces:
  WeavingStrategy

    public class InliningWeavingStrategy

extends Object
implements WeavingStrategy

A weaving strategy implementing a weaving scheme based on statical compilation, and no reflection.

Author:
  Jonas Bonr , Alexandre Vasseur

Constructor Summary
`InliningWeavingStrategy()`

Method Summary
`Context` | `newContext(String name, byte[] bytecode, ClassLoader loader)` Creates a new transformation context.
`void` | `transform(String className, Context context)` Performs the weaving of the target class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InliningWeavingStrategy

    public InliningWeavingStrategy()

Method Detail

### transform

    public void transform(String className,
                          Context context)

  Performs the weaving of the target class.

  Specified by:
    `transform` in interface `WeavingStrategy`
  Parameters:
    `className` -
    `context` -

### newContext

    public Context newContext(String name,
                              byte[] bytecode,
                              ClassLoader loader)

  Creates a new transformation context.

  Specified by:
    `newContext` in interface `WeavingStrategy`
  Parameters:
    `name` -
    `bytecode` -
    `loader` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.